Newer Version Available
Retrieve Blob Data
Use the sObject Blob Retrieve resource to retrieve blob data for a given record. To retrieve blob data, a record
with blob data
must exist in
Salesforce.
Only certain standard objects have blob fields, such as Attachment, ContentNote, ContentVersion, Document, Folder, and Note.
The following example retrieves the blob data for the Document record that was created in Insert or Update Blob Data.
Example for retrieving blob data from a Document record
1curl https://MyDomainName.my.salesforce.com/services/data/v56.0/sobjects/Document/015D0000000N3ZZIA0/body -H "Authorization: Bearer token"- Example request body
- none required
- Example response body
- Document body content is returned in binary form. The response content type isn’t JSON or XML since the returned data is binary. You can save the returned binary data to a file to store and access it.